lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Muir <rcm...@gmail.com>
Subject Re: [VOTE] Lucene Java 2.9.2 and 3.0.1 release artifacts
Date Mon, 15 Feb 2010 01:49:59 GMT
i checked, the demo and demo webapp works for both versions.

On Sun, Feb 14, 2010 at 6:45 PM, Uwe Schindler <uwe@thetaphi.de> wrote:

> Hallo Folks,
>
> I have posted a release candidate for both Lucene Java 2.9.2 and 3.0.1
> (which both have the same bug fix level, functionality and release
> announcement), build from revision 910082 of the corresponding branches.
> Thanks for all your help! Please test them and give your votes until
> Thursday morning, as the scheduled release date for both versions is Friday,
> Feb 19th, 2010. Only votes from Lucene PMC are binding, but everyone
> is welcome to check the release candidate and voice their approval or
> disapproval. The vote passes if at least three binding +1 votes are cast.
>
> We planned the parallel release with one announcement because of their
> parallel development / bug fix level to emphasize that they are equal except
> deprecation removal and Java 5 since major version 3.
>
> Please also read the attached release announcement (Open Document) and send
> it corrected back if you miss anything or want to improve my bad English :-)
>
> You find the artifacts here:
>
> http://people.apache.org/~uschindler/staging-area/lucene-292-301-take1-rev910082/<http://people.apache.org/%7Euschindler/staging-area/lucene-292-301-take1-rev910082/>
>
> Maven repo:
>
> http://people.apache.org/~uschindler/staging-area/lucene-292-301-take1-rev910082/maven/<http://people.apache.org/%7Euschindler/staging-area/lucene-292-301-take1-rev910082/maven/>
>
> The changes are here:
>
> http://people.apache.org/~uschindler/staging-area/lucene-292-301-take1-rev910082/changes-2.9.2/Changes.html<http://people.apache.org/%7Euschindler/staging-area/lucene-292-301-take1-rev910082/changes-2.9.2/Changes.html>
>
> http://people.apache.org/~uschindler/staging-area/lucene-292-301-take1-rev910082/changes-2.9.2/Contrib-Changes.html<http://people.apache.org/%7Euschindler/staging-area/lucene-292-301-take1-rev910082/changes-2.9.2/Contrib-Changes.html>
>
>
> http://people.apache.org/~uschindler/staging-area/lucene-292-301-take1-rev910082/changes-3.0.1/Changes.html<http://people.apache.org/%7Euschindler/staging-area/lucene-292-301-take1-rev910082/changes-3.0.1/Changes.html>
>
> http://people.apache.org/~uschindler/staging-area/lucene-292-301-take1-rev910082/changes-3.0.1/Contrib-Changes.html<http://people.apache.org/%7Euschindler/staging-area/lucene-292-301-take1-rev910082/changes-3.0.1/Contrib-Changes.html>
>
> Uwe
>
> === Proposed Release Announcement ===
>
> Hello Lucene users,
>
> On behalf of the Lucene development community I would like to announce the
> release of Lucene Java versions 3.0.1 and 2.9.2:
>
> Both releases fix bugs in the previous versions, where 2.9.2 is the last
> release working with Java 1.4, still providing all deprecated APIs of the
> Lucene Java 2.x series. 3.0.1 has the same bug fix level, but requires Java
> 5 and is no longer compatible with code using deprecated APIs. The API was
> cleaned up to make use of Java 5's generics, varargs, enums, and autoboxing.
> New users of Lucene are advised to use version 3.0.1 for new developments,
> because it has a clean, type safe new API. Users upgrading from 2.9.x can
> now remove unnecessary casts and add generics to their code, too.
>
> Important improvements in these releases are a increased maximum number of
> unique terms in each index segment. They also add fixes in IndexWriter’s
> commit and lost document deletes in near real-time indexing. Also lots of
> bugs in Contrib’s Analyzers package were fixed. Additionally, the 3.0.1
> release restored some public methods, that get lost during deprecation
> removal. If you are using Lucene in a web application environment, you will
> notice that the new Attribute-based TokenStream API now works correct with
> different class loaders.
> Both releases are fully compatible with the corresponding previous
> versions. We strongly recommend upgrading to 2.9.2 if you are using 2.9.1 or
> 2.9.0; and to 3.0.1 if you are using 3.0.0.
>
> -----
> Uwe Schindler
> H.-H.-Meier-Allee 63, D-28213 Bremen
> http://www.thetaphi.de
> eMail: uwe@thetaphi.de
>
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-dev-help@lucene.apache.org
>



-- 
Robert Muir
rcmuir@gmail.com

Mime
View raw message